#define schluesselerkennung P1_2
#define tor P1_3

void main(void){
char anzahl_plaetze=40;//insgesamte Plätze
char belegte_plaetze=0;//gerade belegte Plätze
char Platzabfrage[anzahl_plaetze];
char veraenderung;
	while(1){
		if((schluesselerkennung==1)&&(belegte_plaetze<anzahl_plaetze)){
			tor=1;
			pause(20*1000);
			tor=0;
			belegte_plaetze++;
			veraenderung=platznummer();
			if(Platzabfrage[veraenderung]==1){//Veränderung ist die Variable für die Adresse, wo sich etwas geändert hat
				Platzabfrage[veraenderung]=0;
			}else{
				Platzabfrage[veraenderung]=1;
			}
		}
		
	}
}